Debian Bug report logs - #681135
terminal.app: FTBFS on GNU/kFreeBSD

version graph

Package: terminal.app; Maintainer for terminal.app is Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>; Source for terminal.app is src:terminal.app.

Reported by: Petr Salinger <Petr.Salinger@seznam.cz>

Date: Tue, 10 Jul 2012 20:45:01 UTC

Severity: serious

Tags: patch

Found in version terminal.app/0.9.8-1

Fixed in version terminal.app/0.9.8-1+nmu1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#681135; Package terminal.app. (Tue, 10 Jul 2012 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
New Bug report received and forwarded. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Tue, 10 Jul 2012 20:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: submit@bugs.debian.org
Subject: terminal.app: FTBFS on GNU/kFreeBSD
Date: Tue, 10 Jul 2012 23:02:07 +0200 (CEST)
Package: terminal.app
Version: 0.9.8-1
Severity: serious
Tags: patch
User: debian-bsd@lists.debian.org
Usertags: kfreebsd


Hi,

the current version fails to build on GNU/kFreeBSD.
It is partly reincarnation of #643973.

Please use patch bellow.

Cheers

	Petr



--- TerminalView.m~     2012-03-06 23:54:33.000000000 +0100
+++ TerminalView.m      2012-07-10 22:37:48.000000000 +0200
@@ -43,7 +43,7 @@
 #  include <termios.h>
 #  include <util.h>
 #  include <sys/ioctl.h>
-#elif defined (__GNU__)
+#elif defined (__GNU__) || defined (__GLIBC__)
 #else
 #  include <termio.h>
 #endif





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#681135; Package terminal.app. (Sat, 13 Oct 2012 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Sat, 13 Oct 2012 11:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 681135@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 681135@bugs.debian.org
Subject: Re: Bug#681135: terminal.app: FTBFS on GNU/kFreeBSD
Date: Sat, 13 Oct 2012 12:16:57 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jul 10, 2012 at 11:02:07PM +0200, Petr Salinger wrote:
>Package: terminal.app
>Version: 0.9.8-1
>Severity: serious
>Tags: patch
>User: debian-bsd@lists.debian.org
>Usertags: kfreebsd

I've just uploaded an NMU with this patch. Here's the debdiff.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Further comment on how I feel about IBM will appear once I've worked out
 whether they're being malicious or incompetent. Capital letters are forecast."
 Matthew Garrett, http://www.livejournal.com/users/mjg59/30675.html
[terminal.app.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Sat, 13 Oct 2012 11:21:11 GMT) Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. (Sat, 13 Oct 2012 11:21:11 GMT) Full text and rfc822 format available.

Message #15 received at 681135-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 681135-close@bugs.debian.org
Subject: Bug#681135: fixed in terminal.app 0.9.8-1+nmu1
Date: Sat, 13 Oct 2012 11:17:40 +0000
Source: terminal.app
Source-Version: 0.9.8-1+nmu1

We believe that the bug you reported is fixed in the latest version of
terminal.app, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681135@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated terminal.app package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 13 Oct 2012 12:04:51 +0100
Source: terminal.app
Binary: terminal.app
Architecture: source kfreebsd-amd64
Version: 0.9.8-1+nmu1
Distribution: unstable
Urgency: low
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 terminal.app - Terminal Emulator for GNUstep
Closes: 681135
Changes: 
 terminal.app (0.9.8-1+nmu1) unstable; urgency=low
 .
   * NMU
   * Fix FTBFS on kFreeBSD. Closes: #681135. Thanks to Petr Salinger for
     the patch.
Checksums-Sha1: 
 10ce1bf029fdd51f904bb845404ba8f18fb02414 2076 terminal.app_0.9.8-1+nmu1.dsc
 65aff8201c946b700f01e851d522d4c88d866399 8922 terminal.app_0.9.8-1+nmu1.debian.tar.gz
 c983c9716436429f5d2d0954ec7997cb68a0c6e6 122666 terminal.app_0.9.8-1+nmu1_kfreebsd-amd64.deb
Checksums-Sha256: 
 97ed9e944767dd9a66d7f426133d77aeca1b70464aa8bd992d795bd1dcacc768 2076 terminal.app_0.9.8-1+nmu1.dsc
 bbf276e7861e6e3f9c094e681ec8487705eb1577dd72ba81f4b3e5c25d03fbfc 8922 terminal.app_0.9.8-1+nmu1.debian.tar.gz
 3ed4b6b49c424ca79c9d5198f5b4f0a02b1161e5fb3c6c3fd05fd151adc261a8 122666 terminal.app_0.9.8-1+nmu1_kfreebsd-amd64.deb
Files: 
 3169342c3d8b7afd51a2b2121018c56f 2076 gnustep optional terminal.app_0.9.8-1+nmu1.dsc
 e1973116b14e6b3dc1f90af3546d0938 8922 gnustep optional terminal.app_0.9.8-1+nmu1.debian.tar.gz
 37dd0bf943bfacb61103028c93850de9 122666 gnustep optional terminal.app_0.9.8-1+nmu1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQeUz1AAoJEFh5eVc0QmhOxcAQALOfbLylPG3OanmeFXfgaKbC
wIjDDtzL/sg5H9OQjWxVyAomomg7Jb6cZ/o7G7WHH5mbIyVHzW68pY0vqdPEZD7y
S8ZPhvqJQC2g5ZFeOFfHD/1tyu3aedxI9Kq9Wn8zX/Lk8GGhC/iaWT6hDlGYzTUk
oDpoTa1whmZWsNHU+uU/9QeETIK2rHrodM4xFYfy+yQmeMJOg7HxY+Sr0/oN7iZR
EsPHtKkK2ZcNPjzgPgwy3nQ4uyBWlAlZRo4LuoVdoKS62WtBM1UqYsDC9NsAld8p
KSmXX2eGW/5Tw/leF/KmUergzBtebGk90gpJx93ZuxtMJvNUPQ0jOcJAmrngmlL1
0qLDIK3MC5h/8euQTPJJtTp0ed4AbD6mTiZYLxqpAGGEnlHPxDaI5YAh1DcHrxAo
SMQqlG8j4qfmPbgBOQqxLtrBMimhItMxGwIPqWaVPyDJeOH0E4xA787zgIqhPRj8
UHf0zG8OiSTpFJZnbi8zM2J3Ii8IaXJgMWFVyJvLRNtVVO7yMyZ5UbmdKHLigAoN
6MeGtGCZG/C6Vf+fAeSwzmDgL8eMITDI1q5nqG/QeXXibnuaym1+eMOz4ncdXdZi
APSJR61/AQ74fFN6gqRo6//idvoxS1Z3i6NIHoLl9HkTBCMUlHVpTKszFdSqJS7q
yuNTt+xokJq7yHApCL9I
=7l33
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Nov 2012 07:26:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:30:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.